#ifndef _General
#define _General

#ifndef _RS232
#include "RS232.h"
#endif

//#include "Math.h"

#define	TRUE	1
#define	FALSE	0
/*
** Conversion factor for radians to degree and vice versa.
*/
#define RAD2DEG (180.0 / M_PI)
#define DEG2RAD (M_PI / 180.0)
/*
** Here are some definitions, used in all programs
*/
#ifndef F_CPU
#define F_CPU       16000000    // processor clock frequency
#endif
#define SYSCLOCK	16000000	// Crystal Frequenz in Hz

#define SET_BIT(PORT, BITNUM)	((PORT) |= (1<<(BITNUM)))
#define CLEAR_BIT(PORT, BITNUM) ((PORT) &= ~(1<<(BITNUM)))
#define TOOGLE_BIT(PORT,BITNUM) ((PORT) ^= (1<<(BITNUM)))

struct BitsOfByte 
	{
	uint8_t b0:1;
	uint8_t b1:1;
	uint8_t b2:1;
	uint8_t b3:1;
	uint8_t b4:1;
	uint8_t b5:1;
	uint8_t b6:1;
	uint8_t b7:1;
	} __attribute__((__packed__));


#define SBIT(port,pin) ((*(volatile struct BitsOfByte*)&port).b##pin)

#endif
